%define	upstream_name	 Crypt-OpenSSL-RSA
%define upstream_version 0.28

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    %{upstream_name} module for perl 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Crypt/%{upstream_name}-%{upstream_version}.tar.gz

Requires:   openssl
BuildRequires: perl(Crypt::OpenSSL::Random)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test)
BuildRequires: perl-devel
BuildRequires: perl-Crypt-OpenSSL-Random
BuildRequires: openssl-devel
%description
%{upstream_name} module for perl

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make CFLAGS="%{optflags}"

%check
%{__make} test

%install
rm -rf %{buildroot} 
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml README
%{perl_vendorarch}/auto/Crypt
%{perl_vendorarch}/Crypt
%{_mandir}/man*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.280.0-3.mga3
+ Revision: 364901
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.280.0-2.mga3
+ Revision: 250400
- rebuild for perl 5.16
- update to 0.28

* Fri Jul 08 2011 jquelin <jquelin> 0.270.0-1.mga2
+ Revision: 120624
- update to 0.27

* Sun Jun 12 2011 sander85 <sander85> 0.260.0-8.mga2
+ Revision: 105215
- fix autoloader
- perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.260.0-7.mga1
+ Revision: 31841
- mageia rebuild
- imported package perl-Crypt-OpenSSL-RSA

